<?xml version="1.0" encoding="ISO-8859-1"?>
<!--<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML Basic 1.0//EN" "http://www.w3.org/TR/xhtml-basic/xhtml-basic10.dtd">-->
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:html="http://www.w3.org/1999/xhtml" 
    xmlns:h="http://www.w3.org/1999/xhtml" 
    xmlns:xforms="http://www.w3.org/2002/xforms" 
    xmlns:xf="http://www.w3.org/2002/xforms"
    xmlns:ev="http://www.w3.org/2001/xml-events" xmlns:my="test">
	<head>
		<link rel="stylesheet" type="text/css" href="xformsdemo.css" />
        <style type="text/css">
            input,tree,tree::value,tree label,textarea::value ,input::value{display:block;}
            textarea,input {display:block;}
            input::value {width: 200px;}
            input label {width:200px;}
            tree{background-color:white;border-style:solid;}
            tree {overflow:scroll;height:300px;width:300px;background-color:white;}
            tree::value {background-color:white;}
            div.editor {padding-left:10px;}
            textarea::value {background-color:white;width:300px;height:300px;}
            group.nodeview label, group.nodeview output {display:inline;font-size:9pt;}
            .hreffield::value {font-weight:normal;width:400px;}
            :disabled {display:none!important;}
            .headline {background-color:blue;margin-bottom:10px;}
            body {padding-left:15px;}
            </style>
		<xforms:model id="form1">
			<xforms:submission id="submission1" method="put" action="./bookmarks2.xml" replace="none"/>
			<xforms:submission id="submission2" method="post" action="http://sinex.tml.hut.fi:8080/xforms/request"/>
			<xforms:instance id="folderdata" xmlns="" src="bookmarks2.xml"/>
			<xforms:instance id="clip" xmlns="">
				<data>
					<ui><hasdata/></ui>
					<copy></copy>
				</data>
			</xforms:instance>
			<xforms:bind nodeset="instance('clip')/ui/hasdata" readonly="count(instance('clip')/copy/*)&lt;1"/>
		</xforms:model>
	</head>
<body>

<p class="headline">X-Smiles bookmarks manager</p>
<xf:submit submission="submission1">
    <xf:label>Save</xf:label>
    </xf:submit> <a href="bookmarks2.xml" target="_new">Preview</a>
<table>
    <tr>
        <td>
<xf:tree ref="/bookmarks" prune="true" id="folders">
    <xf:label>My bookmarks</xf:label>
    <xf:item><xf:label ref="@name"/></xf:item>
</xf:tree>
</td>
<td>
    <div class="editor">
<xf:group ref="nodeindex('folders')" class="nodeview">
    	<xf:label>Current node:</xf:label> :
    	<xf:output value="local-name(.)"/>
    </xf:group>
<xf:input ref="nodeindex('folders')/@name">
    	<xf:label>Name:</xf:label>
    </xf:input>
<xf:input ref="nodeindex('folders')[local-name(.)='bookmark']/@href" class="hreffield">
    	<xf:label>href:</xf:label>
    </xf:input>
    
    <div>
        	<xf:trigger ref="nodeindex('folders')[local-name(.)='bookmark']/@href">
    		<xf:label>Open bookmark</xf:label>
    		<xf:action ev:event="DOMActivate">
    			<xf:load ev:event="DOMActivate" ref="nodeindex('folders')/@href" show="new"/>
    			
    		</xf:action>
    	</xf:trigger>
    	</div>
    
    <div class="editor">
    </div>
    </div>
    </td>
    </tr>
    </table>
    <div>
    </div>
    <div>
    	<xf:trigger>
    		<xf:label>Cut</xf:label>
    		<xf:action ev:event="DOMActivate">
	    		<xf:destroy ref="instance('clip')/copy/*"/>
	    		<xf:duplicate ref="instance('clip')/copy" origin="nodeindex('folders')"/>
	    		<xf:destroy ref="nodeindex('folders')"/>
    		</xf:action>
    	</xf:trigger>
    	<xf:trigger>
    		<xf:label>Copy</xf:label>
    		<xf:action ev:event="DOMActivate">
	    		<xf:destroy ref="instance('clip')/copy/*"/>
	    		<xf:duplicate ref="instance('clip')/copy" origin="nodeindex('folders')"/>
    		</xf:action>
    	</xf:trigger>
    	<xf:trigger ref="instance('clip')/ui/hasdata">
    		<xf:label>Paste</xf:label>
    		<xf:action ev:event="DOMActivate">
	    		<xf:duplicate origin="instance('clip')/copy/*" ref="nodeindex('folders')/.." before="nodeindex('folders')"  />
	    		<!--<xf:destroy ref="instance('clip')/copy/*"/>-->
    		</xf:action>
    	</xf:trigger>
    	<xf:trigger>
    		<xf:label>Duplicate</xf:label>
    		<xf:duplicate ref="nodeindex('folders')/.." origin="nodeindex('folders')" before="nodeindex('folders')" ev:event="DOMActivate"/>
    	</xf:trigger>
    </div>
</body>
</html>

